---------------------
PatchSet 10849 
Date: 2007/06/17 21:39:49
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Make ACLChecklist::matchAclListSlow a private member function. Not part of the public API

Members: 
	src/ACLChecklist.cc:1.38->1.39 
	src/ACLChecklist.cci:1.4->1.5 
	src/ACLChecklist.h:1.24->1.25 

Index: squid3/src/ACLChecklist.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/ACLChecklist.cc,v
retrieving revision 1.38
retrieving revision 1.39
diff -u -r1.38 -r1.39
--- squid3/src/ACLChecklist.cc	9 May 2007 09:07:38 -0000	1.38
+++ squid3/src/ACLChecklist.cc	17 Jun 2007 21:39:49 -0000	1.39
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLChecklist.cc,v 1.38 2007/05/09 09:07:38 wessels Exp $
+ * $Id: ACLChecklist.cc,v 1.39 2007/06/17 21:39:49 hno Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -276,6 +276,12 @@
 }
 
 void
+ACLChecklist::matchAclListSlow(const acl_list * list)
+{
+    matchAclList(list, false);
+}
+
+void
 ACLChecklist::matchAclList(const acl_list * head, bool const fast)
 {
     PROF_start(aclMatchAclList);
Index: squid3/src/ACLChecklist.cci
===================================================================
RCS file: /cvsroot/squid/squid3/src/ACLChecklist.cci,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- squid3/src/ACLChecklist.cci	25 Apr 2007 11:30:18 -0000	1.4
+++ squid3/src/ACLChecklist.cci	17 Jun 2007 21:39:49 -0000	1.5
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLChecklist.cci,v 1.4 2007/04/25 11:30:18 adrian Exp $
+ * $Id: ACLChecklist.cci,v 1.5 2007/06/17 21:39:49 hno Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Henrik Nordstrom
@@ -39,8 +39,3 @@
     return finished();
 }
 
-void
-ACLChecklist::matchAclListSlow(const acl_list * list)
-{
-    matchAclList(list, false);
-}
Index: squid3/src/ACLChecklist.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/ACLChecklist.h,v
retrieving revision 1.24
retrieving revision 1.25
diff -u -r1.24 -r1.25
--- squid3/src/ACLChecklist.h	9 May 2007 07:36:24 -0000	1.24
+++ squid3/src/ACLChecklist.h	17 Jun 2007 21:39:49 -0000	1.25
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLChecklist.h,v 1.24 2007/05/09 07:36:24 wessels Exp $
+ * $Id: ACLChecklist.h,v 1.25 2007/06/17 21:39:49 hno Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -97,7 +97,6 @@
     void checkCallback(allow_t answer);
     void preCheck();
     _SQUID_INLINE_ bool matchAclListFast(const acl_list * list);
-    _SQUID_INLINE_ void matchAclListSlow(const acl_list * list);
     ConnStateData::Pointer conn();
     void conn(ConnStateData::Pointer);
     int authenticated();
@@ -143,6 +142,7 @@
 
 private:
     void matchAclList(const acl_list * list, bool const fast);
+    void matchAclListSlow(const acl_list * list);
     CBDATA_CLASS(ACLChecklist);
     ConnStateData::Pointer conn_;	/* hack for ident and NTLM */
     bool async_;
